=== debian/changelog ===
owfs (2.8p13+dfsg1-5build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 14:34:44 +0000

owfs (2.8p13+dfsg1-5) unstable; urgency=low

  * also disable owtraffic at configure time

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 20 Oct 2011 21:50:58 +0200

owfs (2.8p13+dfsg1-4) unstable; urgency=low

  * disable malloc debug at configure time

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 20 Oct 2011 07:51:19 +0200

owfs (2.8p13+dfsg1-3) unstable; urgency=low

  * Fix python extension linkage
  * Fix wrong debian/*.install files so that a same file is not added is
    different packages (Closes: #640915)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 08 Sep 2011 23:18:22 +0200

owfs (2.8p13+dfsg1-2) unstable; urgency=low

  * Fix "FTBFS(kfreebsd): symbol diff" (Closes: #640385)
    non-linux architectures do not have w1 support

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 Sep 2011 20:59:13 +0200

owfs (2.8p13+dfsg1-1) unstable; urgency=low

  * remove src/scripts/windows/libdns_sd.dll from the tarball. This
    windows DLL is mDNSResponder-107.6 precompiled with a patch
    applied. But mDNSResponder-107.6 sources are not included in this package
    and the patch in available in upstream CVS (but not the released tarball).
    Upstream will probably remove this file in the next release.

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 02 Sep 2011 21:08:19 +0200

owfs (2.8p13-2) unstable; urgency=low

  * Rebuild in clean environment

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 28 Aug 2011 18:03:32 +0200

owfs (2.8p13-1) unstable; urgency=low

  * New upstream release
  * Upload to Debian repo (Closes: #606189)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 22 Aug 2011 14:01:10 +0200

owfs (2.8p8-1) unstable; urgency=low

  * New upstream release
  * Cleanup init scripts, add doc about Debian setup

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 05 Apr 2011 16:35:15 +0200

owfs (2.8p7+cvs20110310-1) unstable; urgency=low

  * Snapshot taken from CVS

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 10 Mar 2011 22:44:26 +0100

owfs (2.8p7-1) unstable; urgency=low

  * Initial release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 21 Nov 2010 23:04:19 +0100
