=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=2

DH=dh --with python2 --with quilt --with autotools_dev

CONFIGURE_OPTIONS=\
	--enable-debian       \
	--disable-debug       \
	--disable-profiling   \
	--enable-owshell      \
	--enable-owlib        \
	--enable-ownetlib     \
	--enable-tai8570      \
	--enable-thermocouple \
	--enable-mt           \
	--enable-i2c          \
	--enable-ha7          \
	--enable-owhttpd      \
	--enable-owftpd       \
	--enable-owserver     \
	--enable-ownet        \
	--enable-owtap        \
	--disable-owmalloc    \
	--disable-owtraffic   \
	--enable-owmon        \
	--enable-owcapi       \
	--enable-swig         \
	--enable-owperl       \
	--enable-owphp        \
	--enable-owpython     \
	--enable-owtcl        \
	--enable-owfs         \
	--enable-cache        \
	--enable-zero         \
	--enable-usb          \
	--enable-parport

DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_OPTIONS += --enable-w1
else
CONFIGURE_OPTIONS += --disable-w1
endif

%:
	$(DH) $@ 

.PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
override_dh_auto_configure:
	autoreconf -vif
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

override_dh_auto_test:
	# no tests available

override_dh_install:
	dh_install  --list-missing -X.la -Xperllocal.pod

.PHONY: override_dh_strip override_dh_makeshlibs
override_dh_strip:
	dh_strip --dbg-package=owfs-dbg

override_dh_makeshlibs:
	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl

clean:
	$(DH) clean
	# remove autoreconf modifications
	find . -name Makefile.am | while read f ; do \
		$(RM) "$$(dirname "$$f")/$$(basename "$$f" .am).in" ; \
	done
	$(RM) INSTALL aclocal.m4 configure
	find src/scripts/install -type f -a ! -name "config*" -a -exec rm -v {} \;
	$(RM) module/owcapi/src/example++/Makefile \
		module/owcapi/src/example/Makefile \
		module/ownet/c/src/example/Makefile \
		module/ownet/php/examples/ownet_example.php \
		module/swig/php/example/load_php_OW.php \
		module/swig/perl5/OW/Makefile.linux \
		module/swig/perl5/OW/Makefile.osx
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7
