## owfs 2.8p14

=== debian/changelog ===
owfs (2.8p14-4) unstable; urgency=medium

  * Closes: #662634: using patch provided by Ondřej Surý to get a correct
    dependency on phpapi (was broken with PHP 5.4)
  * Urgency set to medium due to this fix
  * Standards-Version dumped from 3.9.2 to 3.9.3 (no change needed)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 05 Mar 2012 16:15:45 +0100

owfs (2.8p14-3) unstable; urgency=low

  * Still adapting symbol list to kfreebsd

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 28 Feb 2012 00:25:28 +0100

owfs (2.8p14-2) unstable; urgency=low

  * Fix "FTBFS(kfreebsd): libow.so: undefined reference to `w1_bind'"
    protected with #ifdef OW_W1 (Closes: #660857)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Feb 2012 22:48:38 +0100

owfs (2.8p14-1) unstable; urgency=low

  * New upstream release
  * No need to repackage the sources anymore: libdns_sd.dll is gone

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Feb 2012 00:33:18 +0100
