=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
  libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
  php5-cli, php5-dev, ed
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: electronics
 Homepage: http://owfs.org/
 Vcs-Git: git://git.debian.org/collab-maint/owfs.git
@@ -38,7 +38,7 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-2.8-13
+Package: libow-2.8-14
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -50,7 +50,7 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-2.8-13
+Package: libowcapi-2.8-14
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -66,8 +66,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libow-2.8-13 (= ${binary:Version}),
- libowcapi-2.8-13 (= ${binary:Version})
+ libow-2.8-14 (= ${binary:Version}),
+ libowcapi-2.8-14 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -75,7 +75,7 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-2.8-13
+Package: libownet-2.8-14
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -91,7 +91,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libownet-2.8-13 (= ${binary:Version}),
+ libownet-2.8-14 (= ${binary:Version}),
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -172,7 +172,7 @@
 Package: libow-php5
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
 Description: Dallas 1-wire support: PHP5 bindings
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -273,7 +273,7 @@
 Package: owfs-dbg
 Architecture: any
 Section: debug
-Depends: libow-2.8-13 (= ${binary:Version}) |
+Depends: libow-2.8-14 (= ${binary:Version}) |
  owfs (= ${binary:Version}) |
  owserver (= ${binary:Version}) |
  owhttpd (= ${binary:Version}) |
