=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-package libow-php5 --no-package libow-tcl
+	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
 
 clean:
 	$(DH) clean
