## owfs 2.8p15

=== module/owcapi/src/example++/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ifeq "$(shell uname)" "Darwin"
 
 # Compile-flags for MacOSX
-DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib -lusb
+DARWINLDFLAGS = -L/opt/owfs/lib -lowcapi -low -L/usr/lib/x86_64-linux-gnu -lusb
 
 owcapiexample: $(OBJS)
 	gcc $(CFLAGS) -o $@ $(OBJS) $(DARWINLDFLAGS)
