=== module/ownet/c/src/example/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 ifeq "$(shell uname)" "Darwin"
 
 # Compile-flags for MacOSX
-DARWINLDFLAGS = -L/opt/owfs/lib -lownet -low -L/usr/lib -lusb
+DARWINLDFLAGS = -L/opt/owfs/lib -lownet -low -L/usr/lib/x86_64-linux-gnu -lusb
 
 $(EXAMPLEA): $(EXAMPLEA_OBJS)
 	gcc $(CFLAGS) -o $@ $(EXAMPLEA_OBJS) $(DARWINLDFLAGS)
