=== debian/changelog ===
owfs (2.8p15-1ubuntu4) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit
    arches).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Feb 2014 08:21:36 +0000

owfs (2.8p15-1ubuntu3) devel; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 20 Oct 2013 22:43:53 +0100

owfs (2.8p15-1ubuntu2) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 10:22:18 +0100

owfs (2.8p15-1ubuntu1) saucy; urgency=low

  * Change fuse-utils recommends to fuse, as fuse-utils is dropped.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 15:02:13 -0600

owfs (2.8p15-1build1) quantal; urgency=low

  * No-change rebuild for phpapi change

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 13:04:04 +0400

owfs (2.8p15-1) unstable; urgency=low

  * New upstream release (thank Iztok Jeras for the notice)
    + refresh debian/patches/*
    + remove debian/patches/for-upstream_w1protection.patch (applied upstream)
  * switch to dh 9 (and multiarch for library packages)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 03 Jun 2012 23:03:41 +0200
