=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: owfs
 Priority: extra
-Maintainer: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt, autotools-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Build-Depends: debhelper (>= 9~), quilt, autotools-dev,
  libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
  php5-cli, php5-dev, ed
 Standards-Version: 3.9.3
@@ -38,9 +39,11 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-2.8-14
+Package: libow-2.8-15
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 1-Wire File System full library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -50,9 +53,11 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-2.8-14
+Package: libowcapi-2.8-15
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 1-Wire File System C library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -66,8 +71,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libow-2.8-14 (= ${binary:Version}),
- libowcapi-2.8-14 (= ${binary:Version})
+ libow-2.8-15 (= ${binary:Version}),
+ libowcapi-2.8-15 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -75,9 +80,11 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-2.8-14
+Package: libownet-2.8-15
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: owserver protocol library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -91,7 +98,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libownet-2.8-14 (= ${binary:Version}),
+ libownet-2.8-15 (= ${binary:Version}),
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -135,7 +142,7 @@
 Package: owfs-fuse
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, owfs-common
-Recommends: owserver, fuse-utils
+Recommends: owserver, fuse
 Suggests: owhttpd, owftpd
 Description: 1-Wire filesystem
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -273,7 +280,7 @@
 Package: owfs-dbg
 Architecture: any
 Section: debug
-Depends: libow-2.8-14 (= ${binary:Version}) |
+Depends: libow-2.8-15 (= ${binary:Version}) |
  owfs (= ${binary:Version}) |
  owserver (= ${binary:Version}) |
  owhttpd (= ${binary:Version}) |
