=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,13 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=2
 
-DH=dh --with python2 --with quilt --with autotools_dev
+DH_OPTIONS=--with python2 --with quilt --with autotools_dev
+
+# export necessary for (hardening) flags for perl
+DEB_CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
+DEB_CFLAGS += `dpkg-buildflags --get CFLAGS`
+DEB_LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+export DEB_CPPFLAGS DEB_CFLAGS DEB_LDFLAGS 
 
 CONFIGURE_OPTIONS=\
 	--enable-debian       \
@@ -26,6 +32,7 @@
 	--enable-owhttpd      \
 	--enable-owftpd       \
 	--enable-owserver     \
+	--enable-owexternal   \
 	--enable-ownet        \
 	--enable-owtap        \
 	--disable-owmalloc    \
@@ -51,7 +58,7 @@
 endif
 
 %:
-	$(DH) $@ 
+	dh $@ $(DH_OPTIONS)
 
 .PHONY: override_dh_auto_configure override_dh_auto_test override_dh_install
 override_dh_auto_configure:
@@ -73,7 +80,7 @@
 	echo "php:Depends=phpapi-$$(php-config5 --phpapi)" >> debian/libow-php5.substvars
 
 clean:
-	$(DH) clean
+	dh clean $(DH_OPTIONS)
 	# remove autoreconf modifications
 	find . -name Makefile.am | while read f ; do \
 		$(RM) "$$(dirname "$$f")/$$(basename "$$f" .am).in" ; \
