## owfs 2.9p8

=== debian/changelog ===
owfs (2.9p8-6) unstable; urgency=medium

  * Hide ls error messages when nothing have to do done on
    upgrade (Closes: #769523)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 14 Nov 2014 18:54:21 +0100

owfs (2.9p8-5) unstable; urgency=medium

  * Add missing Breaks/Replaces required due to some files moved
    from the ow-shell package to the ow-tools one. This move occures
    in 2.9p5-1 (Closes: #768115)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 08 Nov 2014 23:09:09 +0100

owfs (2.9p8-4) unstable; urgency=medium

  * Fix "FTBFS[kfreebsd]: wrong ifdef __FreeBSD__" : using the good
    symbol, thanks Steven Chamberlain (Closes: #766910)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 27 Oct 2014 08:18:46 +0100

owfs (2.9p8-3) unstable; urgency=medium

  * Trying to fix another incompatibility with FreeBSD with this
    new upstream version

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 26 Oct 2014 16:31:25 +0100

owfs (2.9p8-2) unstable; urgency=medium

  * make systemd dependency linux-any only (Closes: #766697)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 25 Oct 2014 10:36:53 +0200

owfs (2.9p8-1) unstable; urgency=medium

  * New upstream release
    + fix a nasty bug in owfs (filesystem)
    + will require a new round in NEW queue (sorry FTP Masters)
      as upstream uses a new soname for each release
      (by chance, there is no reverse dependencies in Debian, so
      no bin-NMU are required)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 19 Oct 2014 13:56:13 +0200

owfs (2.9p7-2) unstable; urgency=medium

  * remove README.source template
  * fix perl source file licenses in copyright and reorganize it
    (Closes: #765665)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 17 Oct 2014 15:08:15 +0200

owfs (2.9p7-1) unstable; urgency=medium

  * New (minor) upstream release
    + fix version parsing in python and perl modules (Closes: #765371)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 14 Oct 2014 18:57:13 +0200

owfs (2.9p5-1.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's permission

  * make DS1410_detect@Base symbol available only on Linux architectures.
    Fixes FTBFS on kfreebsd-*/hurd (Closes: #757571)

  * High urgency to help the perl 5.20 transition

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Aug 2014 08:30:50 +0000

owfs (2.9p5-1) unstable; urgency=medium

  * New upstream release
  * Fix "hardcodes /usr/lib/perl5":
    make debian/libow-perl.install executable and use $Config{vendorarch}
    there (Closes: #752804)
    Thanks Gregor Herrmann <gregoa@debian.org> for the patch

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Jul 2014 13:27:43 +0200

owfs (2.9p1-2) unstable; urgency=medium

  * move TclTk scripts to an arch-indep package (Closes: #737400)
  * upload to unstable
  * Bump Standard-Version (no change needed)
  * Fix URLs in debian/control
  * add a Suggests on avahi-daemon in ow-server and document the --nozero
    option (closes: #646764)
  * recommands fuse instead of fuse-utils (Closes: #698180)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 02 Feb 2014 22:07:24 +0100

owfs (2.9p1-1) experimental; urgency=low

  * Imported Upstream version 2.9p1
  * Cleanup patches and symbol files

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 26 Jun 2013 23:52:10 +0200

owfs (2.9p0-1) experimental; urgency=low

  * Imported Upstream version 2.9p0
  * Update to new release 2.9-0
  * backport python fix in ownet

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 02 Apr 2013 21:19:59 +0200

owfs (2.8p17-1) experimental; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 09 Sep 2012 22:04:33 +0200

owfs (2.8p16-1) unstable; urgency=low

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 08 Jul 2012 00:03:04 +0200
