=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: owfs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Build-Depends: debhelper (>= 9~), quilt, autotools-dev,
  libfuse-dev, swig, python-all-dev (>= 2.6.6-3~), tcl-dev, libusb-dev,
- php5-cli, php5-dev, ed
-Standards-Version: 3.9.3
+ php5-cli, php5-dev, ed, systemd [linux-any], groff-base
+Standards-Version: 3.9.6
 Section: electronics
 Homepage: http://owfs.org/
-Vcs-Git: git://git.debian.org/collab-maint/owfs.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/owfs.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/owfs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/owfs.git;a=summary
 
 Package: owfs-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ucf
 Description: common files used by any of the OWFS programs
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -39,12 +39,12 @@
  Installing this package gets you a FUSE daemon, server arbitrates access
  to the bus from multiple client processes, small ftp and webserver.
 
-Package: libow-2.8-15
+Package: libow-2.9-8
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, owfs-common (>= ${source:Version})
 Description: 1-Wire File System full library
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -53,10 +53,10 @@
  This package includes the ow library that is able to talk directly to 1-wire
  buses.
 
-Package: libowcapi-2.8-15
+Package: libowcapi-2.9-8
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 1-Wire File System C library
@@ -71,8 +71,8 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libow-2.8-15 (= ${binary:Version}),
- libowcapi-2.8-15 (= ${binary:Version})
+ libow-2.9-8 (= ${binary:Version}),
+ libowcapi-2.9-8 (= ${binary:Version})
 Description: 1-Wire File System (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -80,10 +80,10 @@
  .
  This package includes development libraries and C header files.
 
-Package: libownet-2.8-15
+Package: libownet-2.9-8
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: owserver protocol library
@@ -98,7 +98,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libownet-2.8-15 (= ${binary:Version}),
+ libownet-2.9-8 (= ${binary:Version}),
 Description: owserver protocol library (development files)
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -111,6 +111,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  owfs-common, lsb-base (>= 3.2-4)
+Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
  The 1-Wire bus is a cheap low-speed bus for devices like weather
  sensors, access control, etc. It can be attached to your system via
@@ -134,8 +135,23 @@
  Included programs are :
   * owdir: list 1-wire devices or properties
   * owread: read 1-wire value
+  * owget: combines owdir and owread
   * owwrite: set a 1-wire value
+  * owexist: check if a 1-wire server is reachable
   * owpresent: check if a 1-wire device is connected
+
+Package: ow-tools
+Architecture: all
+Depends: ${misc:Depends}, tk
+Breaks: ow-shell (<<2.9p5)
+Replaces: ow-shell (<<2.9p5)
+Suggests: owserver
+Description: tools to monitor or inspect a ow-server link
+ The 1-Wire bus is a cheap low-speed bus for devices like weather
+ sensors, access control, etc. It can be attached to your system via
+ serial, USB, I2C, and other interfaces.
+ .
+ This package includes two TclTk tools:
   * owtap: inspect network transmission of the owserver protocol
   * owmon: show statistics and setting for an owserver
 
@@ -280,7 +296,7 @@
 Package: owfs-dbg
 Architecture: any
 Section: debug
-Depends: libow-2.8-15 (= ${binary:Version}) |
+Depends: libow-2.9-8 (= ${binary:Version}) |
  owfs (= ${binary:Version}) |
  owserver (= ${binary:Version}) |
  owhttpd (= ${binary:Version}) |
