=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=2
+#export DH_VERBOSE=2
 
 DH_OPTIONS=--with python2 --with quilt --with autotools_dev
 
@@ -24,11 +24,7 @@
 	--enable-owshell      \
 	--enable-owlib        \
 	--enable-ownetlib     \
-	--enable-tai8570      \
-	--enable-thermocouple \
-	--enable-mt           \
 	--enable-i2c          \
-	--enable-ha7          \
 	--enable-owhttpd      \
 	--enable-owftpd       \
 	--enable-owserver     \
@@ -45,7 +41,6 @@
 	--enable-owpython     \
 	--enable-owtcl        \
 	--enable-owfs         \
-	--enable-cache        \
 	--enable-zero         \
 	--enable-usb          \
 	--enable-parport
@@ -68,8 +63,21 @@
 override_dh_auto_test:
 	# no tests available
 
+override_dh_auto_install:
+	dh_auto_install
+	# do not install partial manpage with generic names. Instead, include
+	# text directly in manpages and remove them.
+	cd debian/tmp/usr/share/man && \
+	for manfile in $$(find . -iname "*.[135]") ; do \
+		for i in $$(sed -n '2,$$ s/^.so //p' $$manfile | tac); do \
+			printf "%s\n" H /$$(echo "$$i" | sed -e 's,/,\\/,g')/d - ".r ./$$i" ",w" \
+				| ed -s $$manfile  ; \
+		done ; \
+	done
+	find debian/tmp/usr/share/man -iname "*.[135n]so" -exec $(RM) {} \;
+
 override_dh_install:
-	dh_install  --list-missing -X.la -Xperllocal.pod
+	dh_install --list-missing -X.la -Xperllocal.pod
 
 .PHONY: override_dh_strip override_dh_makeshlibs
 override_dh_strip:
@@ -96,9 +104,9 @@
 		module/swig/perl5/OW/Makefile.osx
 	# if this is a git repository, restore removed files that would have
 	# been ignored by dpkg-source
-	-test -d .git && git checkout -- $$(git status | \
-		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
-		grep -v '^debian/')
+	-test -d .git && git checkout -- $$(git status --porcelain | \
+		sed -e '/^ D /s/^ D //p;d' | grep -v '^debian/')
+	:
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
